Package com.jangular.backend.security.jwt

# Class JwtTokenProvider

java.lang.Object
com.jangular.backend.security.jwt.JwtTokenProvider

@Component public class JwtTokenProvider extends Object

## Constructor Summary

Constructors
Constructor
Description
`JwtTokenProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`generateRefreshToken(org.springframework.security.core.Authentication authentication)`
`String`
`generateToken(org.springframework.security.core.Authentication authentication)`
`String`
`getUsernameFromToken(String token)`
`boolean`
`validateToken(String authToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JwtTokenProvider

public JwtTokenProvider()

## Method Details

### generateToken

public String generateToken(org.springframework.security.core.Authentication authentication)

### generateRefreshToken

public String generateRefreshToken(org.springframework.security.core.Authentication authentication)

### getUsernameFromToken

public String getUsernameFromToken(String token)

### validateToken

public boolean validateToken(String authToken)